%global _empty_manifest_terminate_build 0
Name:		python-trustme
Version:	0.9.0
Release:	1
Summary:	#1 quality TLS certs while you wait, for the discerning tester
License:	MIT -or- Apache License 2.0
URL:		https://github.com/python-trio/trustme
Source0:	https://github.com/python-trio/trustme/archive/refs/tags/v%{version}.tar.gz
BuildArch:	noarch

Requires:	python3-cryptograph
Requires:	python3-idn
Requires:	python3-ipaddress

%description    
#1 quality TLS certs while you wait, for the discerning tester

%package -n python3-trustme
Summary:	#1 quality TLS certs while you wait, for the discerning tester
Provides:	python-trustme
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-trustme


%package help
Summary:	Development documents and examples for trustme
Provides:	python3-trustme-doc
%description help


%prep
%autosetup -n trustme-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-trustme -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_pkgdocdir}

%changelog
* Wed Jun 01 2022 yangping <yangping69@h-partners.com> - 0.9.0-1
- Update to v0.9.0

* Thu May 21 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
